<link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.47/css/bootstrap-datetimepicker-standalone.css" />
  <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.47/css/bootstrap-datetimepicker-standalone.min.css" />

  <script data-require="jquery@3.1.1" data-semver="3.1.1" src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
  <script data-require="bootstrap@3.3.7" data-semver="3.3.7" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
  <script data-require="MomentJS@2.10.0" data-semver="2.10.0" src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.10.6/moment.min.js"></script>

<div class="container">

  <div class="search-div d-flex justify-content-between search mb-4">
    <button style="width: 10%;" (click)="open(content)">onCreate</button>
    <div class="search-form-field d-flex" style="width: 100%;" floatLabel="never">
      <input  placeholder="Search" style="width: 90%;" autocomplete="off">
      <button aria-label="Clear" style="width: 10%;" >ClearSerch
      </button>
    </div>
  </div>

<div class="row card-group">
  <div class="col-md-4 col-sm-6" *ngFor="let pd of service.list">
    <div class="card" >
      <div class="card-body">
        <h5 class="card-title text-center">Good <i class="fas fa-cookie-bite"></i>: {{pd?.nameGood}}</h5>
        <p class="card-text">
          Id {{pd?.idTraspotations}}
        </p>
        <p class="card-text">
          <i class="fas fa-thermometer-half"></i> {{pd?.temperatureGood}}
        </p>
        <p class="card-text">
          <i class="fas fa-tint"></i> {{pd?.humidityGood}}
        </p>
        <p class="card-text">
          <i class="fas fa-city"></i>City send: {{pd?.cityFirst}} <br>SendAdress {{pd?.firstAdress}}
        </p>
        <p class="card-text">
          <i class="fas fa-city"></i>City arrivial: {{pd?.citySecond}}<br> ArrivalAdress {{pd?.secondAdress}}
        </p>
        <p class="card-text">
          <i class="fas fa-truck"></i>{{pd?.truck}}
        </p>
        <p class="card-text">
          Status <br> {{pd?.status}}
        </p>
        <p class="card-text">
          Send<br> {{pd?.dateSend}}
        </p>
        <p class="card-text">
          Oriented data of arrivial<br>{{pd?.dateArrival}}
        </p>
        <p class="card-text">
          <i class="fas fa-user-tag"></i><br>
          {{pd?.recieverName}}<br>
          Number: {{pd?.recieverNumber}}
        </p>
        <p class="card-text">
          Company: {{pd?.company}}
        </p>
        <p class="card-text" hidden>
          {{pd?.idUser}}
        </p>
        <button class="btn" data-toggle="modal" (click)="populateToEdit(pd.idTraspotations)" type="submit" data-target="#myModal">Edit</button>
        <i class="far fa-trash-alt fa-lg text-danger" (click)="onDelete(pd.idTraspotations)"></i>
      </div>
    </div>
  </div>
</div>
</div>


<ng-template #content let-modal>
  <div class="modal-header"> 
      <h4 class="modal-title" 
          id="modal-basic-title"> 
          Add transportation
      </h4> 
  </div>
  <div class="modal-body"></div>
  <tr>
  <div class="modal-body">
      <form autocomplete="off" #form="ngForm"  (submit)="onSubmit(form)">
        <input type="hidden" name="idTraspotations" [value]="service.formData2.idTraspotations"/>
      <div class="form-group">
        <label>Good Name</label>
        <input class="form-control form-control-lg" placeholder="Name Good" 
        name="nameGood" #nameGood="ngModel" [(ngModel)]="service.formData2.nameGood">
      </div>
      <div class="form-group">
        <label>Temperature</label>
        <input class="form-control form-control-lg" placeholder="temperatureGood" 
        name="temperatureGood" #temperatureGood="ngModel" [(ngModel)]="service.formData2.temperatureGood">
     </div>
     <div class="form-group">
      <label>Humidity</label>
      <input class="form-control form-control-lg" placeholder="humidityGood" 
      name="humidityGood" #humidityGood="ngModel" [(ngModel)]="service.formData2.humidityGood">
      </div>
      <div class="form-group">
        <label>cityFirst</label>
      <select class="form-control" name="idCityFirst" #idCityFirst="ngModel" [(ngModel)]="service.formData2.idCityFirst">
          <option value="0">Select</option>
          <option *ngFor="let item of cityService.list" value="{{item!.idCity}}">{{item.nameCity}}</option>
      </select>
      </div>
      <div class="form-group">
        <label>firstAdress</label>
        <input class="form-control form-control-lg" placeholder="firstAdress" 
        name="firstAdress" #firstAdress="ngModel" [(ngModel)]="service.formData2.firstAdress">
     </div>
      <div class="form-group">
        <label>citySecond</label>
      <select class="form-control" name="idCitySecond" #idCitySecond="ngModel" [(ngModel)]="service.formData2.idCitySecond">
          <option value="0">Select</option>
          <option *ngFor="let item of cityService.list" value="{{item!.idCity}}">{{item.nameCity}}</option>
      </select>
      </div>
      <div class="form-group">
        <label>secondAdress</label>
        <input class="form-control form-control-lg" placeholder="secondAdress" 
        name="secondAdress" #secondAdress="ngModel" [(ngModel)]="service.formData2.secondAdress">
     </div>
      <div class="form-group">
        <label>Truck</label>
      <select class="form-control" name="idTruck" #idTruck="ngModel" [(ngModel)]="service.formData2.idTruck">
          <option value="0">Select</option>
          <option *ngFor="let item of cityService.listtrucks" value="{{item!.idTruck}}">{{item.numberCar}}</option>
      </select>
      </div>

      <div class="form-group">
        <label>Status</label>
        <input class="form-control form-control-lg" placeholder="idStatus" 
        name="idStatus" #idStatus="ngModel" [(ngModel)]="service.formData2.idStatus">
     </div>

     <div class="form-group">
      <label>date send</label>
      <input type="datetime-local" class="form-control" pplaceholder="dateSend" 
      name="dateSend" #dateSend="ngModel" [(ngModel)]="service.formData2.dateSend"/>
    </div>

   <div class="form-group">
    <label>Date arivial</label>
    <input type="datetime-local" class="form-control" placeholder="dateArrival" 
    name="dateArrival" #dateArrival="ngModel" [(ngModel)]="service.formData2.dateArrival"/>
  </div> 
     <div class="form-group">
      <label>recieverName</label>
      <input class="form-control form-control-lg" placeholder="recieverName" 
      name="recieverName" #recieverName="ngModel" [(ngModel)]="service.formData2.recieverName">
      </div>
      <div class="form-group">
        <label>recieverNumber</label>
        <input class="form-control form-control-lg" placeholder="recieverNumber" 
        name="recieverNumber" #recieverNumber="ngModel" [(ngModel)]="service.formData2.recieverNumber">
     </div>
   <div class="form-group">
    <label>Company</label>
  <select class="form-control" name="idCompany" #idCompany="ngModel" [(ngModel)]="service.formData2.idCompany">
      <option value="0">Select</option>
      <option *ngFor="let item of cityService.listcomp" value="{{item!.id_Company}}">{{item.nameCompany}}</option>
  </select>
  </div>
   <div class="form-group" hidden>
    <input class="form-control form-control-lg"
    name="idUser" #idUser="ngModel" [(ngModel)]="service.formData2.idUser">
 </div>
     <div class="form-row text-center">
      <div class="col-6">
        <button class="btn btn-info btn-lg btn-block" type="submit"
        style="width: 220px;"> 
        Save</button>
    </div>
      <div class="col-6">
          <button type="button" 
          class="btn btn-outline-dark  btn-lg" 
          (click)="modal.close('Save click')" style="width: 220px;"> 
          Close</button>
      </div>
      </div>
    </form>
  </div>
  </tr>
</ng-template>


<div *ngIf="showModalBox" class="modal" id="myModal">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Edit </h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      
      <div class="modal-body">
        <form autocomplete="off" #form="ngForm" *ngFor ="let pd of results" (submit)="updateRecord(pd)">
          <input type="hidden" name="idTraspotations" [value]="pd.idTraspotations"/>
        
        <div class="form-group">
          <label>Good Name</label>
          <input class="form-control form-control-lg" placeholder="Name Good" 
          name="nameGood" #nameGood="ngModel" [(ngModel)]="pd.nameGood">
        </div>
        <div class="form-group">
          <label>Temperature</label>
          <input class="form-control form-control-lg" placeholder="temperatureGood" 
          name="temperatureGood" #temperatureGood="ngModel" [(ngModel)]="pd.temperatureGood">
       </div>
       <div class="form-group">
        <label>Humidity</label>
        <input class="form-control form-control-lg" placeholder="humidityGood" 
        name="humidityGood" #humidityGood="ngModel" [(ngModel)]="pd.humidityGood">
        </div>
        <div class="form-group">
          <label>cityFirst</label>
        <select class="form-control" name="idCityFirst" #idCityFirst="ngModel" [(ngModel)]="pd.idCityFirst">
            <option value="0">Select</option>
            <option *ngFor="let item of cityService.list" value="{{item!.idCity}}">{{item.nameCity}}</option>
        </select>
        </div>
        <div class="form-group">
          <label>firstAdress</label>
          <input class="form-control form-control-lg" placeholder="firstAdress" 
          name="firstAdress" #firstAdress="ngModel" [(ngModel)]="pd.firstAdress">
       </div>
        <div class="form-group">
          <label>citySecond</label>
        <select class="form-control" name="idCitySecond" #idCitySecond="ngModel" [(ngModel)]="pd.idCitySecond">
            <option value="0">Select</option>
            <option *ngFor="let item of cityService.list" value="{{item!.idCity}}">{{item.nameCity}}</option>
        </select>
        </div>
        <div class="form-group">
          <label>secondAdress</label>
          <input class="form-control form-control-lg" placeholder="secondAdress" 
          name="secondAdress" #secondAdress="ngModel" [(ngModel)]="pd.secondAdress">
       </div>
        <div class="form-group">
          <label>Truck</label>
        <select class="form-control" name="idTruck" #idTruck="ngModel" [(ngModel)]="pd.idTruck">
            <option value="0">Select</option>
            <option *ngFor="let item of cityService.listtrucks" value="{{item!.idTruck}}">{{item.numberCar}}</option>
        </select>
        </div>
  
        <div class="form-group">
          <label>Status</label>
          <input class="form-control form-control-lg" placeholder="idStatus" 
          name="idStatus" #idStatus="ngModel" [(ngModel)]="pd.idStatus">
       </div>

        <div class="form-group">
          <label>Select Date and Time</label>
          <input type="datetime-local" class="form-control" placeholder="dateSend" 
          name="dateSend" #dateSend="ngModel" [(ngModel)]="pd.dateSend"/>
        </div>

       <div class="form-group">
        <label>Select Date and Time</label>
        <input type="datetime-local" class="form-control" placeholder="dateArrival" 
        name="dateArrival" #dateArrival="ngModel" [(ngModel)]="pd.dateArrival"/>
      </div>

       <div class="form-group">
        <label>recieverName</label>
        <input class="form-control form-control-lg" placeholder="recieverName" 
        name="recieverName" #recieverName="ngModel" [(ngModel)]="pd.recieverName">
        </div>
        <div class="form-group">
          <label>recieverNumber</label>
          <input class="form-control form-control-lg" placeholder="recieverNumber" 
          name="recieverNumber" #recieverNumber="ngModel" [(ngModel)]="pd.recieverNumber">
       </div>
     <div class="form-group">
      <label>Company</label>
    <select class="form-control" name="idCompany" #idCompany="ngModel" [(ngModel)]="pd.idCompany">
        <option value="0">Select</option>
        <option *ngFor="let item of cityService.listcomp" value="{{item!.id_Company}}">{{item.nameCompany}}</option>
    </select>
    </div>
     <div class="form-group" hidden>
      <input class="form-control form-control-lg"
      name="idUser" #idUser="ngModel" [(ngModel)]="pd.idUser">
   </div>
       <div class="form-row text-center">
        <div class="col-6">
          <button class="btn btn-info btn-lg btn-block" type="submit"
          style="width: 220px;"> 
          Save</button>
      </div>
        </div>
      </form>
      </div>
      
    </div>
  </div>
</div>



